require_relative 'lib/heat/version'

Gem::Specification.new do |spec|
  spec.name          = "heat"
  spec.version       = Heat::VERSION
  spec.authors       = ["sergioro"]
  spec.email         = ["yo@sergioro.com"]

  spec.summary       = %q{Solves the heat equation}
  spec.description   = %q{Using Ruby as a scientific computing language}
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.add_development_dependency "minitest-reporters", "~> 1.3.8"
  spec.add_development_dependency "byebug", "~> 11.0.1"
  spec.add_development_dependency "benchmark-ips", ">= 0"
  spec.add_development_dependency "ronn", "~> 0.7"
  spec.add_development_dependency "ruby-prof", ">= 0"
end
